/*
 *  This file defines all the CSS styles for the form and form inputs.
 */

/*
 * GENERIC CSS CLASSES
 */
.form-input-unselectable
{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Form input label class */
.form-input-label
{
    vertical-align: middle;
    float: left;
    display: table;
    font-size: 14px;
    color: #666666;
}


/* Form default input style */
.form-input-default
{
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0px 0px 0px 5px;
    border-width: 1px;
    border-color: #ABADB3;
    border-style: solid;
    background: none;
}

/* SELECT CHEVRON STYLES */
.form-select-downarrow-normal
{
    height: 24px;
    width: 20px;
    position: absolute;
    top: 0px;
    color: #666666;
}
.form-select-downarrow-focus
{
    height: 100%;
    width: 20px;
    position: absolute;
    top: 0px;
    color: #81D4FA;
}



/*
 *  FORM TEXT INPUT STYLE
 */
.form-input-select
{
    position: relative;
    margin: 0;
    padding: 0;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    background: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    transform: rotate(0deg);
}
.form-input-select-normal
{
    border-color: #BDBDBD;
    transition: 0.3s ease-in border-color;
}
.form-input-select-focus
{
    border-color: #81D4FA;
    transition: 0.3s ease-in border-color;
}
.form-input-select-error
{
    border-color: #FF0000;
    transition: 0.3s ease-in border-color;
}
.form-input-select-tooltip
{
    float: left;
    font-size: 11px;
    line-height: 18px;
    color: #FF0000;
    position: absolute;
}


/*
 *  FORM TEXT INPUT STYLE
 */
.form-input-text
{
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0px;
    background: none;
    transform: rotate(0deg);
    outline: none;
}
.form-input-text-normal
{
    border-color: #BDBDBD;
    transition: 0.3s ease-in border-color;
}
.form-input-text-focus
{
    border-color: #81D4FA;
    transition: 0.3s ease-in border-color;
}
.form-input-text-error
{
    border-color: #FF0000;
    transition: 0.3s ease-in border-color;
}
.form-input-text-tooltip
{
    float: left;
    font-size: 11px;
    line-height: 18px;
    color: #FF0000;
    position: absolute;
}


/*
 *  FORM DATE INPUT STYLE
 */
.form-input-date
{
    position: relative;
    margin: 0;
    padding: 0;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    background: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    transform: rotate(0deg);
}
.form-input-date-normal
{
    border-color: #BDBDBD;
    transition: 0.3s ease-in border-color;
}
.form-input-date-focus
{
    border-color: #81D4FA;
    transition: 0.3s ease-in border-color;
}
.form-input-date-error
{
    border-color: #FF0000;
    transition: 0.3s ease-in border-color;
}
.form-input-date-tooltip
{
    float: left;
    font-size: 11px;
    line-height: 18px;
    color: #FF0000;
    position: absolute;
}


/*
 * FORM NAVIGATION MENU STYLE
 */
.form-navigation-menu
{
    height: 100%;
    width: 250px;
    background-color: #F5F5F5;
    color: #000000;
    float: left;
}
.form-navigation-menu-item
{
    width: 100%;
    height: 50px;
    line-height: 50px;
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: #DADADA;
    padding: 0px 0px 0px 10px;
    cursor: pointer;
    background-color: transparent;
}
.form-navigation-menu-item > div
{
    display: none;
}
.form-navigation-menu-item > i
{
    margin-right: 10px;
    font-size: 20px;
    width: 25px;
}

.form-navigation-menu-item-selected
{
    width: 100%;
    height: 50px;
    line-height: 50px;
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: #DADADA;
    padding: 0px 0px 0px 10px;
    cursor: pointer;
    background-color: #81D4FA;
}
.form-navigation-menu-item-selected > div
{
    float: right;
    width: 10px;
    height: 26px;
    border: 13px solid transparent;
    border-right-color: #FFFFFF;
    margin-top: 12px;
}
.form-navigation-menu-item-selected > i
{
    margin-right: 10px;
    font-size: 20px;
    width: 25px;
}


/* Form button input style */
.form-input-button
{
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    /*font-weight: bold;*/
    border: none;
    color: #666666;
    background-color: #E0E0E0;
    line-height: 100%;
    cursor: pointer;
    padding: 0px;
    text-align: center;
}

/*
 *  Form input radio button class
 */
.form-input-radio
{
    font-family: "Open Sans", sans-serif;
    text-align: center;
    line-height: 100%;
    cursor: pointer;
    font-size: 16px;
    border-style: solid;
    outline: none;
    border-color: #515553;
}
.form-input-radio:focus
{
    font-family: "Open Sans", sans-serif;
    text-align: center;
    line-height: 100%;
    cursor: pointer;
    font-size: 16px;
    border-style: solid;
    outline: none;
    border-color: #81D4FA;
}
.form-input-radio-inactive
{
    color: #515553;
    background-color: #E4E4E4;
    border-width: 0px 0px 0px 3px;
}
.form-input-radio-inactive:focus
{
    color: #515553; 
    background-color: #E4E4E4;
    border-width: 0px 0px 0px 3px;
}

.form-input-radio-active
{    
    color: #000000;
    background-color: #B3E5FC;
    border-width: 0px 0px 0px 3px;
}


/* Form checkbox field classes */
.form-input-check
{
    margin: 0;
    padding: 0;
}
.form-input-check-text
{
    font-size: 14px;
}


/* Form display field class */
.form-display-default
{
    font-size: 14px;
}


/* Form heading field class */
.form-heading
{
    overflow: hidden;
    color: #000000;
    font-family: "Open Sans", sans-serif;
    font-size: 18px;
    font-weight: 600;
    border-style: solid;
    border-color: #000000;
    border-width: 0px 0px 3px 0px;
}